Bug 1202136 - SELinux is preventing /usr/bin/pulseaudio from 'create' accesses on the sock_file cli.socket.
Summary: SELinux is preventing /usr/bin/pulseaudio from 'create' accesses on the sock_...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:17f76a1f546212c56ef3c9329f6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-15 20:30 UTC by Paul Finnigan
Modified: 2015-12-02 17:40 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 10:07:52 UTC
Type: ---


Attachments (Terms of Use)

Description Paul Finnigan 2015-03-15 20:30:19 UTC
Description of problem:
SELinux is preventing /usr/bin/pulseaudio from 'create' accesses on the sock_file cli.socket.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that pulseaudio should be allowed create access on the cli.socket sock_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep pulseaudio /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:var_log_t:s0
Target Objects                cli.socket [ sock_file ]
Source                        pulseaudio
Source Path                   /usr/bin/pulseaudio
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           pulseaudio-5.0-25.fc21.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-105.3.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.18.8-201.fc21.x86_64 #1 SMP Fri
                              Feb 27 18:18:27 UTC 2015 x86_64 x86_64
Alert Count                   15
First Seen                    2015-03-07 13:09:28 GMT
Last Seen                     2015-03-15 16:53:05 GMT
Local ID                      a3ab9e2f-5c10-4b2b-9c91-a2b14797613f

Raw Audit Messages
type=AVC msg=audit(1426438385.935:838): avc:  denied  { create } for  pid=2515 comm="pulseaudio" name="cli.socket" scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:var_log_t:s0 tclass=sock_file permissive=0


type=SYSCALL msg=audit(1426438385.935:838): arch=x86_64 syscall=bind success=no exit=EACCES a0=15 a1=7fffb3fed290 a2=55 a3=7fffb3fed274 items=0 ppid=1 pid=2515 auid=4294967295 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 tty=(none) ses=4294967295 comm=pulseaudio exe=/usr/bin/pulseaudio subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

Hash: pulseaudio,xdm_t,var_log_t,sock_file,create

Version-Release number of selected component:
selinux-policy-3.13.1-105.3.fc21.noarch

Additional info:
reporter:       libreport-2.3.0
hashmarkername: setroubleshoot
kernel:         3.18.8-201.fc21.x86_64
type:           libreport

Comment 1 Daniel Walsh 2015-03-16 14:19:28 UTC
This seems very strange pulseaudio creating a cli.socket in a /var/log directory?

Comment 2 Wim Taymans 2015-03-17 09:44:41 UTC
I can't see anywhere in the source code where it would make cli.socket.

Doesn't this is something from systemd?

Comment 3 Paul Finnigan 2015-03-17 12:47:00 UTC
I have no idea where the message comes from. It just popped up while I was trying to answer a few emails and backup my system. 

Have I perhaps got a file mislabelled? 

Should I relabel everything?

Comment 4 Rex Dieter 2015-03-17 12:48:22 UTC
couldn't hurt.

Comment 5 Fedora End Of Life 2015-11-04 13:08:40 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-12-02 10:07:57 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.